SalesOS.

C P Q Analytics

Configure-Price-Quote analytics

Cpq Analytics Controller_get Dashboard

GET
/api/analytics/cpq/dashboard

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

startDateRequiredstring
endDateRequiredstring
curl -X GET "https://www.salesos.org/api/api/analytics/cpq/dashboard?startDate=%3Cstring%3E&endDate=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"
GET
/api/analytics/cpq/trends

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

startDateRequiredstring
endDateRequiredstring
groupByRequiredstring
curl -X GET "https://www.salesos.org/api/api/analytics/cpq/trends?startDate=%3Cstring%3E&endDate=%3Cstring%3E&groupBy=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Cpq Analytics Controller_get Quote Pipeline

GET
/api/analytics/cpq/quote-pipeline

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/analytics/cpq/quote-pipeline" \
  -H "Authorization: Bearer <token>"

Cpq Analytics Controller_get Top Products

GET
/api/analytics/cpq/top-products

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

limitRequiredstring
sortByRequiredstring
curl -X GET "https://www.salesos.org/api/api/analytics/cpq/top-products?limit=%3Cstring%3E&sortBy=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Cpq Analytics Controller_get Top Accounts

GET
/api/analytics/cpq/top-accounts

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

limitRequiredstring
curl -X GET "https://www.salesos.org/api/api/analytics/cpq/top-accounts?limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Cpq Analytics Controller_get Sales Rep Performance

GET
/api/analytics/cpq/sales-rep-performance

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

startDateRequiredstring
endDateRequiredstring
curl -X GET "https://www.salesos.org/api/api/analytics/cpq/sales-rep-performance?startDate=%3Cstring%3E&endDate=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Cpq Analytics Controller_get Forecast

GET
/api/analytics/cpq/forecast

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

periodsRequiredstring
curl -X GET "https://www.salesos.org/api/api/analytics/cpq/forecast?periods=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Cpq Analytics Controller_get Conversion Funnel

GET
/api/analytics/cpq/conversion-funnel

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

startDateRequiredstring
endDateRequiredstring
curl -X GET "https://www.salesos.org/api/api/analytics/cpq/conversion-funnel?startDate=%3Cstring%3E&endDate=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Cpq Analytics Controller_get Win Loss Analysis

GET
/api/analytics/cpq/win-loss

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

startDateRequiredstring
endDateRequiredstring
curl -X GET "https://www.salesos.org/api/api/analytics/cpq/win-loss?startDate=%3Cstring%3E&endDate=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Cpq Analytics Controller_get Snapshots

GET
/api/analytics/cpq/snapshots

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

startDateRequiredstring
endDateRequiredstring
curl -X GET "https://www.salesos.org/api/api/analytics/cpq/snapshots?startDate=%3Cstring%3E&endDate=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Cpq Analytics Controller_create Snapshot

POST
/api/analytics/cpq/snapshots

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/analytics/cpq/snapshots" \
  -H "Authorization: Bearer <token>"

Cpq Analytics Controller_get Quotes Trend

GET
/api/analytics/cpq/quotes/trend

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

periodRequiredstring
rangeRequiredstring
curl -X GET "https://www.salesos.org/api/api/analytics/cpq/quotes/trend?period=%3Cstring%3E&range=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Cpq Analytics Controller_get Orders Trend

GET
/api/analytics/cpq/orders/trend

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

periodRequiredstring
rangeRequiredstring
curl -X GET "https://www.salesos.org/api/api/analytics/cpq/orders/trend?period=%3Cstring%3E&range=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Cpq Analytics Controller_get Product Performance

GET
/api/analytics/cpq/products/performance

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/analytics/cpq/products/performance" \
  -H "Authorization: Bearer <token>"

Cpq Analytics Controller_get Quote Age Analysis

GET
/api/analytics/cpq/quotes/age-analysis

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/analytics/cpq/quotes/age-analysis" \
  -H "Authorization: Bearer <token>"